Package network.server

# Class KeepAliveHandler

java.lang.Object
network.server.KeepAliveHandler

public class KeepAliveHandler extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeepAliveHandler(ServerConnexion serverConnexion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `recievedKeepAlive(long keepAliveId)`
  `boolean`
  `update()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeepAliveHandler

    public KeepAliveHandler(ServerConnexion serverConnexion)

- ## Method Details

  - ### update

    public boolean update()

  - ### recievedKeepAlive

    public void recievedKeepAlive(long keepAliveId)